class Photo < ActiveRecord::Base
	belongs_to :album
	has_attached_file :file, :styles => { :medium => "300x300>", :thumb => "100x100>" }
	validates_presence_of :album
	
	def self.page(search, page)
		with_permissions_to(:manage).search(search).order("title").paginate(:per_page => 20, :page => page)
  end

	def self.search(search)
	  if search
	    where("title LIKE ?", "%#{search}%")
	  else
	    scoped
	  end
	end
	
end
