require 'rails/generators/active_record'

class DustAlbumGenerator < ActiveRecord::Generators::Base
	desc "Create all migrations and copy all files for Dust Albums."
	
	def self.source_root
    @source_root ||= File.expand_path('../templates', __FILE__)
  end

  def create_migration
		route("resources :albums")
		route("resources :photos")
    migration_template "albums_migration.rb", "db/migrate/create_albums.rb"
    migration_template "photos_migration.rb", "db/migrate/create_photos.rb"
  end

	def generate_static_files  
    copy_file "dust_album.css", "public/stylesheets/dust_album.css"  
    copy_file "uploadify.css", "public/stylesheets/uploadify.css"  

		copy_file "initializers/flash_session_cookie_middleware.rb", "config/initializers/flash_session_cookie_middleware.rb"
		copy_file "initializers/session_store_middleware.rb", "config/initializers/session_store_middleware.rb"

		copy_file "jquery-1.4.2.js", "public/javascripts/jquery-1.4.2.js"
		
		copy_file "images/cancel.png", "public/images/cancel.png"
		copy_file "images/browse.png", "public/images/browse.png"
		copy_file "images/upload.png", "public/images/upload.png"

		copy_file "dust_album.css", "public/stylesheets/dust_album.css"
		copy_file "uploadify.css", "public/stylesheets/uploadify.css"

    directory "uploadify", "public/javascripts/uploadify"
  end

	def rake_migrations
		rake("db:migrate")
	end
end